/*	
 *	framhes.h
 *
 *	P/ECE HES Driver
 *
 *	CLiP - Common Library for P/ECE
 *	Copyright (C) 2001-2004 Naoyuki Sawa
 *
 *	* Mon Feb 23 04:28:00 JST 2004 Naoyuki Sawa
 *	- 쐬JnB
 */
#include "clip.h"

/****************************************************************************
 *	HUC6280G~[VpO֐
 ****************************************************************************/

void
hes_huc6280_write(HUC6280* huc6280, unsigned short addr, unsigned char data)
{
	HESDRIVER* hes = (HESDRIVER*)huc6280;

	/* MPR0=$FFƉB
	 *   _AhX   0x0000`  0x1fff
	 * = AhX 0x1fe000`0x1fffff
	 * = I/O area
	 */
	if(addr <= 0x1fff) {
		hes_huc6280_out(huc6280, addr, data);
		return;
	}

	hes->mem[addr] = data;
}

